
ISR (INT2_vect){				// STROBE impulse
// data sent from the parallel interface storing into the EEPROM

  PRINTER_PORT |= (1<<BUSY);	// set BUSY
  PORTB &= ~(1<<PB1);			// Led is on during data writing to EEPROM.
  send_start++;

  if (send_start == 1 && (PORTB |=(1<<PB0))){		// eeprom not full or enabled for overwriting
	i2c_start();
    i2c_device_address(Dev_AT24C512+I2C_WRITE);		// set device address and write mode
    i2c_write(first_word_address);					// word address
    i2c_write(seconde_word_address);
  }

 	i2c_write(DATA);
	word_address++;

  if (word_address == 65535){
    i2c_write(0x17);             	// End of Transmission Block
    i2c_stop();
	_delay_ms(7);
    PORTB &= ~(1<<PB0);          	// led on	  eeprom full
	PORTB |= (1<<PB1);				// led off	  writing finished
    PRINTER_PORT |= (1<<BUSY);		// BUSY=1 	  not ready to receive data
    PRINTER_PORT &= ~(1<<SELECT);	// SELECT=0  printer "off-line"
    enable_time=0;
    time=0;
  }
  else{
    send_start=2;						// prevents overflow of send_start, 
										// that a new start condition is send

    if ((word_address % 128) == 0){	    // word_address without rest divisible
      first_word_address = (word_address >> 8);
      seconde_word_address = (word_address & 0xFF);
      i2c_stop();
      _delay_ms(7);						// time must be wait 
      send_start=0;
    }
    enable_time=1;
    time=0;
    PRINTER_PORT &= ~(1<<BUSY);

  }	// else end
}	// ISR end
